# United States Destroyers

- [Battle Stations: The Destroyer (HQ with Extras)](https://www.youtube.com/watch?v=WVfC-540mNk)

I know this is about Destroyers, please be patient and read everything.  Worth the read :-)  I was USN on USS Constellation CV64 Carrier and have so much respect for Destroyers.

1:15 Philippines and the start of the Bataan Death March (70,000 captured).  Who was in Charge?  General McArthur, who was WARNED by Washington DC of the attack on Pearl Harbor commanded by General Short and Admiral Kimmel.  Both Short and Kimmel asked Washington DC many times earlier before the attack for INTELLIGENCE and received NOTHING.  McArthur was given EVERYTHING, including JAPAN is going to attack and DID NOTHING.  NEXT THING, PHILIPPINES IS GONE.  Short and Kimmel are FIRED and McArthur is NOT?  Should of been the reverse.

10:22 Japan is kicking our ass and MIDWAY (named after an island, MIDWAY, between Asia and the Americas.  We sink 4 front line carriers.

11:00 Fletcher Class - greatest Destroyer - cooks - berthing and more
